Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.model.reporting
Class StatusReport

    java.lang.Object
      org.eclipse.emfforms.spi.common.report.AbstractReport
          org.eclipse.emf.ecp.view.spi.model.reporting.StatusReport

    public class StatusReport

extends AbstractReport

A `Status` that may be passed to the report service.

Since:
  1.5
Author:
  emueller

Constructor Summary
`StatusReport(org.eclipse.core.runtime.Status status)` Constructor.

Method Summary
`Throwable` | `getException()` Returns the exception this report is based on, if any.
`String` | `getMessage()` Returns the report message.
`int` | `getSeverity()` Returns the status of this report.
`boolean` | `hasException()` Whether this report is based upon an exception.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatusReport

    public StatusReport(org.eclipse.core.runtime.Status status)

  Constructor.

  Parameters:
    `status` - the status to be wrapped

Method Detail

### getMessage

    public String getMessage()

  Returns the report message.

  Overrides:
    `getMessage` in class `AbstractReport`
  Returns:
    the report message
  See Also:
    `AbstractReport.getMessage()`

### hasException

    public boolean hasException()

  Whether this report is based upon an exception.

  Overrides:
    `hasException` in class `AbstractReport`
  Returns:
    `true`, if this report is based upon an exception, `false` otherwise
  See Also:
    `AbstractReport.hasException()`

### getException

    public Throwable getException()

  Returns the exception this report is based on, if any.

  Overrides:
    `getException` in class `AbstractReport`
  Returns:
    the exception this report is based on, if any, otherwise `null`
  See Also:
    `AbstractReport.getException()`

### getSeverity

    public int getSeverity()

  Returns the status of this report.

  Overrides:
    `getSeverity` in class `AbstractReport`
  Returns:
    the status of this report
  See Also:
    `AbstractReport.getSeverity()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.